/**
* Visibility API Accesss.
*
* Returns -1 if the key fails on the page load, otherwise
* an array of settings including selectors and method of inclusion or exlusion. 
*/
(function($){
  $.visibilityAccess = function(key) {
    if (!Drupal.settings){
      return -1;
    }
    
    var settings = Drupal.settings.visibility_api[key];
    
    if (!settings){
      return -1;
    }
    else if (!settings.visible){
      return -1;
    }
    else {
      return settings;
    }
  };
})(jQuery);
